import request from '@/utils/request'

//根据库ID查询人员下拉选
export function pSelect(params) {
    return request({
      url: `/csc-szls-system-manage/sysPersonnel/authority/getAll`,
      method: 'get',
      params
    })
  }


  //审批人管理提交按钮
  export function approverSubmit(data) {
    return request({
      url: `/csc-szls-business/ventilation/processBasis/add`,
      
      method: 'post',
      data
    })
  }


    //审批人管理查看
    export function checkList(type,userId,depotId) {
      return request({
        url: `/csc-szls-business/ventilation/processBasis/getBasisByType/${type}/${userId}/${depotId}`,
     
        method: 'get',
       
      })
    }


    //用户字典列表
    export function roleList(params) {
      return request({
        url: `/csc-szls-system-manage/user/authority/getRoleIdAll`,
   
        method: 'get',
        params
       
      })
    }